.banner {
  width: 100%;
  height: 44vw;
  position: relative;
  display: flex;
  align-items: center;
}

.banner .image {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 0;
  top: 0;
  left: 0;
}

.banner .image::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.2);
  top: 0;
  left: 0;
}

.banner .image img {
  height: 100%;
  object-fit: cover;
}

.banner .bannerText {
  position: relative;
  z-index: 1;
  width: 56%;
}

.banner .bannerText h2,
.banner .bannerText p {
  color: #fff;
}

.btnGroup {
  display: flex;
  gap: 3vw;
  width: 100%;
}

.btnGroup .btnNew {
  padding: 0.6vw 1vw;
  width: 10vw;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #c7000b;
  font-size: 0.9375vw;
  color: #fff;
  border-radius: 0.3vw;
  line-height: 1;
  cursor: pointer;
  border: 0.15vw solid #c7000b;
  transition: all 0.3s ease;
  box-shadow: 0 0 15px 5px rgba(0, 0, 0, 0.3);
}

.btnGroup .btnWhite {
  background: #fff;
  color: #c7000b;
  box-shadow: 0 0 15px 5px rgba(255, 255, 255, 0.3);
}

.btnGroup .btnNew:hover {
  /* background: #fff;
  color: #c7000b; */
  box-shadow: 0 0 15px 5px rgba(255, 255, 255, 0.3);
}

.btnGroup .btnWhite:hover {
  /* background: #c7000b;
  color: #fff; */
  box-shadow: 0 0 15px 5px rgba(0, 0, 0, 0.3);
}

.pageNav {
  width: 100%;
  padding: 0.5vw;
  background: #fff;
  border-bottom: 1px solid #ddd;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease;
  z-index: 8;
  position: -webkit-sticky;
  position: sticky;
  top: 0;
}

.pageNav .navWrap {
  width: 100%;
  display: flex;
  justify-content: space-between;
  height: 2vw;
  align-items: center;
}

.pageNav .navWrap .brand {
  font-size: 1.14583vw;
  font-weight: 600;
}

.pageNav .navWrap .selection {
  display: flex;
  gap: 3vw;
}

.pageNav .navWrap .item {
  font-size: 0.9375vw;
  color: #727171;
  cursor: pointer;
  line-height: 1;
  display: flex;
  align-items: center;
}

.pageNav .navWrap .selection .btnNew {
  padding: 0.3vw 1vw;
  border: 1px solid #c7000b;
  color: #c7000b;
  transition: all 0.3s ease;
}

.pageNav .navWrap .selection .btnNew:hover {
  background: #c7000b;
  color: #fff;
}

.pageNav .navWrap .item.active {
  color: #c7000b;
}

.calendarWrap {
  width: 100%;
  display: grid;
  column-gap: 5vw;
  row-gap: 4vw;
  grid-template-columns: auto auto auto auto;
  position: relative;
  padding-bottom: 1.5vw;
  border-bottom: 1px solid #d4d4d4;
}

.calendarWrap .item {
  position: relative;
  overflow: visible;
}

.calendarWrap .item .style {
  font-size: 1.14583vw;
  color: #727171;
  font-weight: 400;
  margin-bottom: 0.5vw;
}

.calendarWrap .item .selection {
  display: flex;
  gap: 2vw;
}

.calendarWrap .item .selection .opt {
  font-size: 0.9375vw;
  color: #414141;
  transition: all 0.3s ease;
  cursor: pointer;
  position: relative;
}

.calendarWrap .item .selection .opt:hover {
  color: #c7000b;
}

.calendarWrap .item .selection .opt.active {
  color: #c7000b;
}

.calendarWrap .item .selection .opt::before {
  content: "";
  position: absolute;
  width: 0%;
  border-bottom: 1px solid #c7000b;
  bottom: 0;
  transition: width 0.3s ease;
  transform: translateX(-50%);
  left: 50%;
}

.calendarWrap .item .selection .opt.active::before {
  width: 100%;
}

.floating-panel {
  position: absolute;
  background: #fff;
  border: 1px solid #e4e7ed;
  box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.2);
  border-radius: 1vw;
  padding: 1vw;
  width: 18vw;
  animation: fadeIn 0.2s ease-in-out;
  top: 0;
  right: -18.5vw;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.picker-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1vw;
  padding-bottom: 1vw;
  border-bottom: 1px solid #ebeef5;
}
.picker-btn {
  cursor: pointer;
  color: #606266;
  font-size: 1.14583vw;
  padding: 0 0.5vw;
  font-weight: bold;
}
.picker-btn:hover {
  color: #409eff;
}

.monthConfirmWrap {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: 0.6vw;
}

.monthConfirm {
  background: #f5f7fa;
  font-size: 0.9375vw;
  padding: 0.3vw 0.6vw;
  border-radius: 0.2vw;
  color: #606266;
}

.monthConfirm:hover {
  color: #c7000b;
}
.picker-year {
  font-weight: bold;
  color: #303133;
  font-size: 1.14583vw;
}

.month-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 0.6vw;
}
.month-cell {
  padding: 0.6vw 0;
  text-align: center;
  cursor: pointer;
  border-radius: 0.2vw;
  color: #606266;
  font-size: 0.9375vw;
  transition: all 0.2s;
  background-color: #f5f7fa;
}
.month-cell:hover {
  background-color: #ecf5ff;
  color: #409eff;
}
.month-cell.active {
  background-color: #409eff;
  color: #fff;
}

.replayGrid {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  column-gap: 1vw;
  row-gap: 2vw;
}

.replayGrid .item {
  padding: 1vw;
  border: 1px solid #ddd;
}

.replayGrid .item .avatar {
  width: 100%;
  height: 10vw;
}

.replayGrid .item .avatar img {
  height: 100%;
  object-fit: cover;
}

.replayGrid .item .text {
  padding-top: 1vw;
  height: 9.5vw;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.replayGrid .item .text h6 {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  margin-bottom: 0;
}

.replayGrid .item .text p {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  margin-bottom: 0;
}

.learmoreWrap {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: 3vw;
}

.learmoreWrap .btnNew {
  padding: 0.6vw 2vw;
  background: #c7000b;
  font-size: 1.14583vw;
  color: #fff;
  border-radius: 0.3vw;
  border: 1px solid #c7000b;
  transition: all 0.3s ease;
  cursor: pointer;
}

.learmoreWrap .btnNew:hover {
  color: #c7000b;
  background: #fff;
}

.mr-container .btnBook:hover {
  background: #c7000b;
  color: #fff;
}

.flex-t1 {
  width: 50%;
  position: relative;
}

.course-grid {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  column-gap: 1vw;
  row-gap: 2vw;
  margin-top: 1.5vw;
}
.course-grid .course-card {
  padding: 1vw;
  border: 1px solid #ddd;
}

.course-grid .course-card .avatar {
  width: 100%;
  height: 10vw;
}

.course-grid .course-card .avatar img {
  height: 100%;
  object-fit: cover;
}

.card-body {
  padding-top: 1vw;
}

.card-body .card-tags {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.card-body .card-tags .tag-1 {
  font-size: 1.25vw;
  font-weight: 600;
  color: #c7000b;
}
.card-body .card-tags .tag-2 {
  font-size: 1.14583vw;
  font-weight: 400;
  color: #727171;
}

.card-body .card-title {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  margin-top: 1vw;
}

.card-body .card-time {
  font-size: 0.9375vw;
  color: #727171;
}
@media screen and (max-width: 768px) {
  .pageNav {
    display: none;
  }

  .banner {
    height: 120vw;
  }

  .banner .bannerText {
    width: 100%;
  }

  .btnGroup {
    gap: 5vw;
  }

  .btnGroup .btnNew {
    padding: 3vw 4vw;
    width: 40vw;
    font-size: 3.8vw;
  }

  .replayGrid {
    grid-template-columns: 1fr;
    column-gap: 3vw;
    row-gap: 5vw;
  }

  .replayGrid .item {
    padding: 5vw;
  }

  .replayGrid .item .avatar {
    height: 44vw;
  }

  .replayGrid .item .text {
    padding-top: 5vw;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  .replayGrid .item .text h6,
  .replayGrid .item .text p.info {
    margin-bottom: 2vw;
  }

  .learmoreWrap {
    margin-top: 8vw;
  }

  .learmoreWrap .btnNew {
    padding: 2vw 5vw;
    font-size: 3.8vw;
    border-radius: 1vw;
  }

  .flex-t1 {
    width: 100%;
  }

  .kvSwiper,
  .kvSwiper .swiper-wrapper,
  .kvSwiper .swiper-wrapper .swiper-slide {
    height: 100%;
  }

  .calendarWrap {
    grid-template-columns: 1fr;
    row-gap: 6vw;
    padding-bottom: 5vw;
  }

  .calendarWrap .item .style {
    font-size: 4.26667vw;
    margin-bottom: 1vw;
  }

  .calendarWrap .item .selection {
    gap: 5vw;
  }

  .calendarWrap .item .selection .opt {
    font-size: 3.8vw;
  }

  .floating-panel {
    width: 80vw;
    top: 6vw;
    right: -20vw;
    border-radius: 2vw;
    padding: 2vw;
  }

  .picker-year,
  .picker-btn {
    font-size: 3.8vw;
  }

  .picker-header {
    margin-bottom: 2vw;
    padding-bottom: 2vw;
  }

  .month-cell{
    padding: 2vw 0;
    font-size: 3.8vw;
    border-radius: 1vw;
  }

  .month-grid{
    gap: 2vw;
  }

  .monthConfirmWrap{
    margin-top: 2vw;
  }

  .monthConfirm{
    font-size: 3.8vw;
    border-radius: 1vw;
    padding: 2vw 5vw;
  }

  .course-grid{
    margin-top: 6vw;
    grid-template-columns: 1fr;
    row-gap: 3vw;
  }

  .course-grid .course-card{
    padding: 4vw;
  }

  .course-grid .course-card .avatar{
    height: 45vw;
  }

  .card-body{
    padding-top: 3vw;
  }

  .card-body .card-tags .tag-1{
    font-size: 4.26667vw;
  }

  .card-body .card-tags .tag-2{
    font-size: 3.8vw;
  }

.card-body .card-time{
  font-size: 3.8vw;
}
}
